DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# Map

Remaps an image

## SYNOPSIS

`#include "dip_manipulation.h"`

dip_Error dip_Map ( in, out, map, mirror )

## DATA TYPES

binary, integer, float, complex

## FUNCTION

This function maps the dimensions of the output image to (different) dimensions of the input image. The array index of `map` specifies the dimension of the output image, the value of the array element of `map` specifies to which dimension in the input image it corresponds. Optionally, the dimensions can be mirrored, when the value of the corrsponding array element in `mirror` is set to `DIP_TRUE`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input image
`dip_Image` | `out` | Output image
`dip_IntegerArray` | `map` | Map array
`dip_BooleanArray` | `mirror` | Mirror array

## SEE ALSO

`Mirror`

DIPlib on-line documentation | Function reference | Global function index